Multiuser Engineering readme

Examples See also History Extra
Multiuser Engineering readme

This section contains information on the following topics:
  • Information on working with Multiuser Engineering
  • Security information


Information on working with Multiuser Engineering

Examples See also History Extra
Contents Name changes in Multiuser Engineering Microsoft system account for project server Error message when starting the project server Working with active monitoring jobs and forcing jobs in the local session Working in the local session with the "Keep local session" option Working with different versions of TIA Portal Working with Multiuser Commissioning
TIA Portal in Siemens Industry online support FAQ with ID 109739926
Information on working with Multiuser Engineering

Contents

Information that could not be included in the online help and important information about product features of Multiuser Engineering and about the project server.

The installation of the project server allows you to use the "Multiuser Engineering", "Multiuser Commissioning" and "Exclusive Engineering" functions available with the corresponding TIA Portal.

Name changes in Multiuser Engineering

In the TIA Portal version V16 the following name changes were made in the context of Multiuser Engineering :

Previous name | New name in TIA Portal V16 and higher
Multiuser server | TIA project server
Local Multiuser server | Local project server
Multiuser server project | Server project
Multiuser network profiles | Network profiles

The project server can be used for Multiuser Engineering, and also for Multiuser Commissioning and Exclusive Engineering .

There are no functionality restrictions between the project server V16 and the multiuser server V15.1.

The functionality of the server remains unchanged depending on the version.

The project server V16 is backward compatible with the Multiuser server V14.

Microsoft system account for project server

When the project server is installed, a Microsoft system account is created for the project server. Microsoft changes the password cyclically for this account.

If the password for this account has expired, the password needs to be changed and then the project server needs to be restarted.

Error message when starting the project server

If you get an error message during or after installing the project server stating that the service for the project server cannot be started, the following procedure is recommended:

  1. Open the Windows event view and check whether an error entry with the error number "1069" is present.

  2. If this is the case, information on how to proceed is provided below.

    Internet link: FAQ with ID 109739926

  3. Alternatively, you can contact Customer Support directly.

    Internet link to Customer Support: TIA Portal in Siemens Industry online support

Working with active monitoring jobs and forcing jobs in the local session

Active monitoring jobs and forcing jobs must be closed before a check-in or update in the local session. It is not possible to check in or update in the local session while monitoring or forcing jobs are active.

Working in the local session with the "Keep local session" option

If the "Keep local session" option is selected after the check-in, all checked-in objects in the local session appear as outdated, even if their content is identical.

Working with different versions of TIA Portal

Local sessions created with <x.y> version of TIA Portal can only be worked on with this version.

Example: A local session created with TIA Portal V16 as part of a V16 project cannot be edited with an earlier version of TIA Portal.

Working with Multiuser Commissioning

  • When you work with Multiuser Commissioning, a new revision of the server project is created after each download to the CPU. However, a new revision is not created when objects that cannot be marked were edited in the local session. Changes to objects that cannot be marked are lost during check-in and are not downloaded to the CPU.

  • When you start download to the device in Commissioning mode from the project tree with the menu command "Download to device > Hardware configuration", the dialog which informs you that different data exists on the CPU and in the server project is always displayed.

  • When you work in Commissioning mode, only S7-1500 CPUs are fully supported. When using an S7-300/400 CPU, the dialog which informs you that different data exists on the CPU and in the server project is always displayed in Commissioning mode. The reason is that S7-300/400 CPUs do not support synchronization. To prevent this message from being displayed, you should disable the option "Check for data mismatch before loading (recommended)" in the Administration tool.


Security information

Examples See also History Extra
Security information

Siemens provides products and solutions with industrial security functions that support the secure operation of plants, systems, machines and networks.

In order to protect plants, systems, machines and networks against cyber threats, it is necessary to implement – and continuously maintain – a holistic, state-of-the-art industrial security concept. Siemens’ products and solutions only form one element of such a concept.

Customer is responsible to prevent unauthorized access to its plants, systems, machines and networks. Systems, machines and components should only be connected to the enterprise network or the internet if and to the extent necessary and with appropriate security measures (e.g. use of firewalls and network segmentation) in place.

Additionally, Siemens’ guidance on appropriate security measures should be taken into account. For more information about industrial security, please visit
http://www.siemens.com/industrialsecurity

Siemens’ products and solutions undergo continuous development to make them more secure. Siemens strongly recommends to apply product updates as soon as available and to always use the latest product versions. Use of product versions that are no longer supported, and failure to apply latest updates may increase customer’s exposure to cyber threats.

To stay informed about product updates, subscribe to the Siemens Industrial Security RSS Feed under
http://www.siemens.com/industrialsecurity.